Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.openpgp.examples
Class SignedFileProcessor

    java.lang.Object
      org.bouncycastle.openpgp.examples.SignedFileProcessor

    public class SignedFileProcessor

extends java.lang.Object

A simple utility class that signs and verifies files.

To sign a file: SignedFileProcessor -s [-a] fileName secretKey passPhrase.
If -a is specified the output file will be "ascii-armored".

To decrypt: SignedFileProcessor -v fileName publicKeyFile.

Note: this example will silently overwrite files, nor does it pay any attention to the specification of "_CONSOLE" in the filename. It also expects that a single pass phrase will have been used.

Note: the example also makes use of PGP compression. If you are having difficulty getting it to interoperate with other PGP programs try removing the use of compression first.

Constructor Summary
`SignedFileProcessor()`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignedFileProcessor

    public SignedFileProcessor()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Bouncy Castle Cryptography Library 1.45